summaryrefslogtreecommitdiffstats
path: root/package/base-files/default/sbin/mount_root
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/default/sbin/mount_root')
-rwxr-xr-xpackage/base-files/default/sbin/mount_root25
1 files changed, 25 insertions, 0 deletions
diff --git a/package/base-files/default/sbin/mount_root b/package/base-files/default/sbin/mount_root
new file mode 100755
index 000000000..b4ec2ca56
--- /dev/null
+++ b/package/base-files/default/sbin/mount_root
@@ -0,0 +1,25 @@
+#!/bin/sh
+if [ "$1" != "failsafe" ]; then
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ echo 5 > /proc/sys/diag
+ mtd unlock linux
+ mtd erase OpenWrt
+ jffs2root --move
+ else
+ mtd unlock rootfs
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ mtd unlock OpenWrt
+ mount -t jffs2 /dev/mtdblock/4 /jffs
+ pivot_root /jffs /jffs/rom
+ mount none /proc -t proc
+ mount none /dev -t devfs
+ umount /rom/proc rom/dev >&-
+ fi
+fi
+mount none /tmp -t tmpfs -o nosuid,nodev,mode=1777,size=50%
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts